Package org.apache.catalina.ssi

## Interface SSICommand

- All Known Implementing Classes:
    `SSIConditional`, `SSIConfig`, `SSIEcho`, `SSIExec`, `SSIFlastmod`, `SSIFsize`, `SSIInclude`, `SSIPrintenv`, `SSISet`

      public interface SSICommand

  The interface that all SSI commands ( SSIEcho, SSIInclude, ...) must implement.
  Author:
    Bip Thelin, Dan Sandberg, David Becker

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `process​(SSIMediator ssiMediator, String commandName, String[] paramNames, String[] paramValues, PrintWriter writer)` | Write the output of the command to the writer.

- - ### Method Detail

    - #### process

          long process​(SSIMediator ssiMediator,
                       String commandName,
                       String[] paramNames,
                       String[] paramValues,
                       PrintWriter writer)
                throws SSIStopProcessingException

      Write the output of the command to the writer.
      Parameters:
        `ssiMediator` - the ssi mediator
        `commandName` - the name of the actual command ( ie. echo )
        `paramNames` - The parameter names
        `paramValues` - The parameter values
        `writer` - the writer to output to
      Returns:
        the most current modified date resulting from any SSI commands
      Throws:
        `SSIStopProcessingException` - if SSI processing should be aborted